Issue 120773 - [From Symphony] Numbering will lose when saving or opening a ppt file
Summary: [From Symphony] Numbering will lose when saving or opening a ppt file
Alias: None
Product: Impress
Classification: Application
Component: save-export (show other issues)
Version: 4.0.0-dev
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.0.0
Assignee: WangZhe
QA Contact:
Depends on:
Reported: 2012-08-31 05:55 UTC by Steve Yin
Modified: 2012-10-18 07:27 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---

Sample file (70.00 KB, application/
2012-08-31 05:55 UTC, Steve Yin
no flags Details
Fix patch for this issue (5.99 KB, patch)
2012-08-31 06:00 UTC, Steve Yin
steve.yin.aoo: review?
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Steve Yin 2012-08-31 05:55:31 UTC
Created attachment 79255 [details]
Sample file

Reproduce steps:

1. New a presentation document
2. Insert text and add numbering ①,②,③...
3. Save to a ppt file
4. Open the file by MSO

Issue: numbering lost.

1. Open the sample file named 4216.ppt
2. Check the numbering

Issue: numbering lost.
Comment 1 Steve Yin 2012-08-31 06:00:19 UTC
Created attachment 79256 [details]
Fix patch for this issue

Root Cause:
PPT numbering type cannot be identified and mapped to Symphony numbering type when importing or exporting PPT file

Add identify process in PPT filter for importing and exporting
Comment 2 WangZhe 2012-09-07 03:29:13 UTC
I'll take this one
Comment 3 WangZhe 2012-09-07 05:47:55 UTC
Deliver At revision: 1381885
Comment 4 louqle 2012-09-18 01:41:00 UTC
verified on XP SP3, mac 10.8, Ubuntu 12.04 against build r1384699

verified on RHEL 6.1 64 bit against build 1386464

fixed. Close thid bug
Comment 5 Shenfeng Liu 2012-10-18 07:27:49 UTC
Update Target Milestone to AOO 3.5.0.